Remove output format dropdown for backends other than QGIS

2015-02-18 06:44 AM - Claas Leiner

Status: Closed

Priority: Normal

Assignee: Victor Olaya

Category: Processing/Core

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: end of life

Crashes QGIS or corrupts data:No Copied to github as #: 20410

Description

New Description:

When in Processing the user chooses to save the output not in a temporary file, then is presented with a dialog that allows to choose the

output format, but actually this works ok (seems) only for QGIS tools, for other backends the result is usually a folder named like

(example) "myoutput.kml" with a shapefile inside.

Old description:

In the Processing Toolbox is available at GDAL / OGR the opportunity to convert to different formats (OGR conversions). For some

formats (XLSX, PDF, ODS) in the Save As dialog box may not be the appropriate format selected so that the conversion is not possible.

History

#1 - 2015-05-10 01:03 AM - Giovanni Manghi

- Target version changed from Version 2.8 to Version 2.8.2

#2 - 2015-05-14 03:02 AM - Giovanni Manghi

- Target version changed from Version 2.8.2 to Version 2.10

#3 - 2015-11-07 11:26 AM - Giovanni Manghi

- Target version deleted (Version 2.10)

#4 - 2015-11-08 10:08 AM - Giovanni Manghi

- Priority changed from High to Normal

- Affected QGIS version changed from 2.6.0 to master

- Category changed from Processing/GDAL to Processing/Core

- Subject changed from Processing OGR Convert Format to Remove output format dropdown for backends other than QGIS

#5 - 2015-11-08 10:10 AM - Giovanni Manghi

I changed the title ti better reflect the real issue. In the OGR convert format tool you must ignore that dropdown in that dialog and just choose the output

format from the list in the tool main window, this way you can indeed save as pdf, odt and xlsx.

#6 - 2017-05-01 01:07 AM - Giovanni Manghi

- Easy fix? set to No

- Regression? set to No

#7 - 2019-03-09 04:09 PM - Giovanni Manghi
- Status changed from Open to Closed

- Resolution set to end of life

End of life notice: QGIS 2.18 LTR

Source:

http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/
